package com.persagy.filemove.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

import java.io.*;

public class JsonTools {
	/**
	 * 对象转jsonz字符串
	 * @param obj
	 * @return
	 */
	public static String beanToJson(Object obj) {
		return JSON.toJSONString(obj);
	}
	
	/**
     * 读取json文件，返回json串
     * @param fileName
     * @return
     */
    public static String readJsonFile(String fileName) {
        String jsonStr = "";
        try {
            File jsonFile = new File(fileName);
            FileReader fileReader = new FileReader(jsonFile);

            Reader reader = new InputStreamReader(new FileInputStream(jsonFile),"utf-8");
            int ch = 0;
            StringBuffer sb = new StringBuffer();
            while ((ch = reader.read()) != -1) {
                sb.append((char) ch);
            }
            fileReader.close();
            reader.close();
            jsonStr = sb.toString();
            return jsonStr;
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
    }
    
    /**
     * jsonString转json对象
     * @param jsonStr
     * @return
     */
    public static JSONObject strToJsonObj(String jsonStr) {
    	return JSON.parseObject(jsonStr);
    }
}